package com.zhentao.filter;


import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * TokenFilter类实现了Filter接口，用于在Servlet请求处理前后进行拦截和处理
 * 主要功能是进行跨域资源共享（CORS）配置，以允许来自不同域的请求
 */
public class TokenFilter implements Filter {


    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        // 将ServletResponse转换为HttpServletResponse，以便后续操作
        HttpServletResponse response = (HttpServletResponse) servletResponse;
        // 将ServletRequest转换为HttpServletRequest，以便后续操作
        HttpServletRequest request = (HttpServletRequest) servletRequest;
        // 将请求和响应对象传递给链中的下一个过滤器或目标资源
        filterChain.doFilter(request,response);
    }
}

