package com.zhentao.hotel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.hotel.domain.Hoteldetails;
import com.zhentao.hotel.domain.Hotels;
import com.zhentao.hotel.dto.HotelDetailDto;
import com.zhentao.hotel.service.HoteldetailsService;
import com.zhentao.hotel.mapper.HoteldetailsMapper;
import com.zhentao.hotel.service.HotelsService;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 86183
* @description 针对表【HotelDetails(酒店详情表，存储每个酒店的房间详细信息，包括房间类型、描述、价格等)】的数据库操作Service实现
* @createDate 2025-05-22 14:58:06
*/
@Service
public class HoteldetailsServiceImpl extends ServiceImpl<HoteldetailsMapper, Hoteldetails>
    implements HoteldetailsService{
    @Autowired
    private HotelsService service;
//查询详细
    @Override
    public Result hotelDetails(HotelDetailDto dto) {
//        查询酒店的信息
        Hotels byId = service.getById(dto.getId());
//        查询酒店的基本信息
        QueryWrapper<Hoteldetails> queryWrapper=new QueryWrapper<>();
        queryWrapper.eq("hotelId",dto.getId());
        List<Hoteldetails> list = this.list(queryWrapper);
        byId.setList(list);
        return Result.OK(list,"查询成功");
    }
}




