package com.zhentao.touristAttractions.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 门票信息表
 * @TableName TicketInfo
 */
@TableName(value ="TicketInfo")
@Data
public class Ticketinfo implements Serializable {
    /**
     * 主键ID，自增
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 景区ID
     */
    private Long tid;

    /**
     * 票种，如成人票、儿童票等
     */
    private String type;

    /**
     * 原价（单位：元）
     */
    private BigDecimal price;

    /**
     * 优惠价（单位：元）
     */
    private BigDecimal discountPrice;

    /**
     * 描述信息
     */
    private String description;

    /**
     * 已售数量
     */
    private Integer sales;

    /**
     * 身高限制（仅对儿童票）
     */
    private String heightLimit;

    /**
     * 年龄限制（仅对老人票）
     */
    private String ageLimit;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}